$(document).ready(function(){

	//导航

	$(".nav li").hover(

		function(){$(this).find("p").slideDown();},

		function(){$(this).find("p").slideUp();}

	);

	//音乐盒

	$(".cm_block01 .box03 ul li").hover(

		function(){ $(this).addClass("hover_bg");},

		function(){ $(this).removeClass("hover_bg");}

	);

	

	$(".cm_block01 .box03 ul li .play").hover(

		function(){ $(this).addClass("play_hover");},

		function(){ $(this).removeClass("play_hover");}

	);



	$(".cm_block01 .box03 ul li .fav").hover(

		function(){ $(this).addClass("fav_hover");},

		function(){ $(this).removeClass("fav_hover");}

	);		

	

	//头像



	$(".cm_block01 .box02 ul li img").mouseover(function(){

		$(this).parent().parent().css({"z-index":"40"});

		$(this).parent().parent().siblings().css({"opacity":0.7});

		$(".cm_block01 .box02").css({"background-color":"#000"});

		$(this).parent().prev().show();

		$(this).parent().prev().animate({width:230});

		$(this).parent().prev().animate({width:180});

		$(this).parent().prev().animate({width:210});

		$(this).parent().prev().animate({width:197});

		}

		);

	$(".cm_block01 .box02 ul li img").mouseout(function(){

		$(this).parent().parent().css({"z-index":"0"});

		$(this).parent().prev().hide();

		$(this).parent().prev().animate({width:132});

		$(this).parent().parent().siblings().css({"opacity":1})

		$(".cm_block01 .box02").css({"background-color":"#fff"});

		}

		);

	//DJ作者推荐

	$(".cm_block02 ul li .txt04").hover(

		function(){ $(this).addClass("txt04_hover");},

		function(){ $(this).removeClass("txt04_hover");}

	);

	//列表页 DJ作者推荐

	$("ul.dj_list li .txt04").hover(

		function(){ $(this).addClass("txt04_hover");},

		function(){ $(this).removeClass("txt04_hover");}

	);

	

	//他们正在分享好音乐

	$(".cm_block03 .left ul li .txt03").hover(

		function(){ $(this).addClass("txt03_hover");},

		function(){ $(this).removeClass("txt03_hover");}

	);

	

	//相册



	

	//列表页 大家推荐的歌曲

	$(".tj_list li:even").css({"background-color":"#efefef"});

	

	

	

//浮动 这些歌曲如何排序？

$('body').append('<div class="help_box"><span class="close">X</span>当下列情况满足其一时，歌曲将被顶至第一个位置<br/>1）有用户新推荐歌曲；<br/>2）当有用户对该歌曲评分为“非常好听”,且该用户注册时间不少于1周；<br/>3）当有用户对该歌曲进行评价时，且该用户注册时间不少于1周；<br/>4）为了防止有人恶意顶歌，凡是评分或者评价者的IP与推荐者的IP相同，歌曲不出现在首页。</div>');



function center(obj,btn,guan,roll){

		function center_handle(obj){

			var sTop  = document.body.scrollTop||document.documentElement.scrollTop;

			var sLeft = document.body.scrollLeft||document.documentElement.scrollLeft;

			var TOP  = sTop  + ($(window).height()-obj.height())/2;

			var LEFT = sLeft + ($(window).width()- obj.width())/2;

			obj.css({top:TOP+'px',left:LEFT+'px'}).show();

			

		}

		btn.click(function(){

			center_handle(obj);

		});

		guan.css('cursor','pointer').click(function(){

			obj.hide();

		});

		

		$(window).scroll(function(){

			if(obj.is( ":visible")&&roll=='true'){center_handle(obj);}

		})

	}

center($('.help_box'),$('.help'),$('.help_box .close'),'true')

	





});



var linkto=function(o,url){

	$(o).attr('target','_blank');

	$(o).attr('href',url);

};

var baoming=function(bsid){

	if(WRFUSER.Info.uid==0){

		$(".ajax_user a.ligthlogin").click();

		return;

	}

	$.fancybox({

		'width'				: 760,

		'height'			: 610,

		'autoScale'			: false,

		'transitionIn'		: 'none',

		'transitionOut'		: 'none',

		'scrolling'			: 'no',

		'type'				: 'iframe',

		'padding'			: 0,

		'href'				: '#'+bsid

	});

};